Subject: Re: postgres 4.2 beta installation

From: Vincent Schenkelaars <[email-masked]>
Date: Tue, 12 Apr 94 14:17:31 +0200

> I have tried to build and install postgres 4.2 on sparc 10's running
> 	4.1.3 on several occasions with varying degrees of success.
> 
> In each case, initdb completes successfully. In each case when
> 	postmaster is run it core dumps. In each case if I run postmaster
> 	by specifying its full path length, postmaster will run. 
> 

I have the same problems. I'm runiing on a Sparc IPC running SunOS 4.1.3
looks like there is something strange with the SunOS port.

I noticed that there is no longer a reference to PGHOST and PGDATA
envirinment variablkes in the instalation guide. Are these no longer needed?

> In most cases when I attempt to run createdb, I am given an error
> 	message stating that the database model template1 does not exist
> 	(even though initdb completed without complaint). Running
> 	createuser has essentially the same effect. The case in which I
> 	was able to successfully run createuser and createdb was on a
> 	machine I did not have root access on, hence I had to set the
> 	variables BINGRP, BINOWN, LIBGRP, LIBOWN, MANGRP, and MANOWN.
> 

I have not noticed this behaviour. But i did not set all these environment
variables. I installed the system undfer user postgres.

> Has anyone had similar problems? I suspect my next step may be to try
> 	building postgres with the aforementioned variables set to
> 	postgres.
> 
>

---

From: [email-masked] (Paul M. Aoki)
Date: Tue, 12 Apr 94 10:42:34 -0700

> looks like there is something strange with the SunOS port.

or your environment, or the polarity of the neutron flow in your
IPC, or <insert random factor here>...  it's hard to tell -- other 
outside people have successfully installed it.  i start up postmaster 
on sparcs using $PATH all the time.

(i trust you guys aren't deviating from the instructions in some 
obvious way, like using gcc or something.  i guarantee that gcc
won't work for this on any RISC machine.)

> envirinment variablkes in the instalation guide. Are these no longer needed?

the short answer:
they are both documented in the reference manual.

the long answer:
they both exist and have the same meaning.  i have no idea why
they aren't mentioned in the installation notes, but now that i
think about it, they shouldn't be necessary if you correctly set 
POSTGRESDIR in your Makefile.global, because this sets the right 
compiled-in path.  if you then move things around you will have 
to set PGDATA; likewise, if you used to use 4.1 and habitually 
set PGDATA to the location of the 4.1 data, you will have to 
unset it or change it.
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki